---
- name: Fail if molecule group is missing
  hosts: localhost
  tasks:
    - name: Print some info
      ansible.builtin.debug:
        msg: "{{ groups }}"

    - name: Assert group existence
      ansible.builtin.assert:
        that: "'molecule' in groups"
        fail_msg: |
          molecule group was not found inside inventory groups: {{ groups }}

- name: Converge
  hosts: molecule
  vars:
    keepalived_lb_vrrp_instances:
      - name: VI_1
        state: MASTER
        interface: eth0
        id: 51
        priority: 150
        auth_type: PASS
        auth_pass: secretpasswd
        vip: 192.168.100.100
  tasks:
    - name: Testing keepalived_lb role
      ansible.builtin.import_role:
        name: keepalived_lb
